module ExecJS
  module Rails
    module Concern
      extend ActiveSupport::Concern
      included do

        prepend_view_path TemplateResolver.new
        append_before_filter :reset_execjs_renderer

        def reset_execjs_renderer
          Renderer.reset!
        end
      end
    end
  end
end
