module ExecJS
  module Rails
    module ViewHelper

      def execjs_call(function, *args)
        Renderer.call(function, *args)
      end

      def execjs_render(path, opts = {})
        view_opts = Renderer.config.view_to_function_options.call(self, opts)
        if self.assigns.has_key?('__execjs_rails_dump_file')
          Renderer.dump_render_context(path, self.assigns, view_opts)
        end
        Renderer.find_and_render(path, view_opts)
      end
    end
  end
end
